Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 17502)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 17503)
@@ -953,11 +1023,10 @@
 
         if (mypanorama.skipInit == false) {
-          if (tempo > 4000) return true;
+          if (tempo > 500) return true;
           setTimeout("Wait_pamoorama_time()", 500);
           return false;
         }
         //=============================================================
-        infos_pamoorama = jQuery("#pamoorama").infos();
-        if (Math.abs(infos_pamoorama.height) < 50) {
+        if (Math.abs(mypanorama.imageHeight) < 100) {
           setTimeout("Wait_pamoorama_time()", 500);
           return false;
@@ -965,5 +1034,8 @@
 
         nopano = true;
-        jQuery("#pamoorama").show(1000);
+        Zone_image.image_init = { width: mypanorama.imageWidth,
+          height: mypanorama.imageHeight
+        }
+        jQuery("#pamoorama").trigger("ON");
         return true;
 
@@ -1026,5 +1098,4 @@
         jQuery("#ret_autosize").val(infos_theMainImage.src);
         if (typeof infos_theImage == "undefined") return;
-
         jQuery("#ret_autosize").trigger('ON', {
           width: img_w,
@@ -1045,4 +1116,7 @@
     **********************/
     init_img = function (theImg) {
+      if (theImg.complete == false) {
+        return;
+      }
       name_src = theImg.src;
       img_init = { width: jQuery(theImg).width(), height: jQuery(theImg).height() }
@@ -1052,20 +1126,18 @@
       if (typeof theImg.naturalHeight != "undefined")
         img_init.height = theImg.naturalHeight;
-
       img_init.rapport = img_init.width / img_init.height;
-
-      if (typeof Zone_image.image == "undefined") Zone_image.image = { height: Zone_image.image_init.height, width: Zone_image.image_init.width }; ;
-
-      Zone_image.image_init.height = img_init.height;
-      Zone_image.image_init.width = img_init.width;
+      if (typeof Zone_image == "undefined") Zone_image = { image: {} };
+      if (typeof Zone_image.image == "undefined") Zone_image.image = { height: Zone_image.image_init.height, width: Zone_image.image_init.width };
+      theImg.width = img_init.height;
+      theImg.width = img_init.width;
+
+      Zone_image.image_init = { height: img_init.height, width: img_init.width, rapport: img_init.rapport };
       Zone_image.zoom = Zone_image.image_init.height / img_init.height;
-      Zone_image.image_init.rapport = img_init.rapport;
-      nu_img = 0;
+
       if (typeof Zone_image.src == "undefined") {
         Zone_image.src = name_src;
         return false;
       }
-      stx = name_src.match(Zone_image.src);
-      sty = infos_theMainImage.src;
+      stx = name_src.match(RegExp(Zone_image.src, "gi"));
       return stx;
     }
@@ -1201,4 +1273,51 @@
     //
     //=====================================
+    Get_Maxi = function (Maxi_image) {
+      var pt = options.liste_type;
+      if (pt.length > 0) {
+        tw = Maxi_image.width;  // valeur maxi
+        th = Maxi_image.height;  // valeur maxi
+        n = 0;
+        maxi_size = { w: Maxi_image.width, h: Maxi_image.height, idx: -1 };
+        mini_size = { w: tw, h: th, idx: 0 };
+        size_derive = { w: 0, h: 0 };
+        size_encours = { w: tw, h: th };
+        //=================================
+        jQuery(pt).each(function (i) {
+          vn = this;
+          size_derive = { w: parseInt(vn[2]), h: parseInt(vn[3]) };
+          if (vn[0] != "square" && vn[0] != "thumb" && vn[0] != "SelMaxi" && vn[0] != "Autosize") {
+            if (size_derive.h > size_encours.h) {
+              if (maxi_size.idx < 0) {
+                maxi_size = size_derive;
+                maxi_size.idx = n;
+                return false
+              }
+            }
+            if (size_derive.h < size_encours.h && size_derive.h > 10) {
+              mini_size = size_derive;
+              mini_size.idx = n;
+            }
+          }
+          n++;
+        });
+        n = maxi_size.idx;
+        if (n < 0) {
+          n = mini_size.idx;
+        }
+        if (options.select_type.match(RegExp("SelMaxi", "gi"))) {
+          n = mini_size.idx;
+
+        }
+        if (options.select_type.match(RegExp("Autosize", "gi"))) {
+
+        }
+        options.src_deriv = pt[n][0];
+        return { url: pt[n][1], pictureDeriv: pt[n][0], pictureMap: pt[n][0], width: pt[n][2], height: pt[n][3] };
+      }
+      return { imgSrc: "", pictureDeriv: "", width: "", height: "" };
+    }
+    //_______________ Get_Maxi ______
+
     Select_Image = function () {
       var pt = options.liste_type;
@@ -1207,56 +1326,31 @@
         //===== calcul Image ===
         Calcul_Image();
-        tw = Zone_image.image.width;  // valeur maxi
-        th = Zone_image.image.height;  // valeur maxi
-        n = 0;
-        maxi_size = { w: tw, h: th, idx: -1 };
-        mini_size = { w: tw, h: th, idx: 0 };
-        size_derive = { w: 0, h: 0 };
-        size_encours = { w: tw, h: th };
-
-        jQuery(pt).each(function (i) {
-          vn = this;
-          size_derive = { w: parseInt(vn[2]), h: parseInt(vn[3]) };
-          if (size_derive.h > size_encours.h) {
-            if (maxi_size.idx < 0) {
-              maxi_size = size_derive;
-              maxi_size.idx = n + 1;
-            }
-          }
-          if (size_derive.h < size_encours.h) {
-            mini_size = size_encours;
-            mini_size.idx = n;
-          }
-
-          n++;
-        });
-
-
-        // n = n - 1 ;
-        n = maxi_size.idx;
-
-        if (n > pt.length - 1) n = pt.length - 1; // format le plus grand
-        if (n < 0) n = pt.length - 1; // format le plus grand
-
-        imgSrc = pt[n][1];
-        last_map = pt[n][0];
-        //     if (Type_Img == "pamoorama") return;
+        IMg = Get_Maxi(Zone_image.image);
+        imgSrc = IMg.url;
+
+        ing_width = IMg.width;
+        ing_height = IMg.height;
+        if (Type_Img == "pamoorama") return;
+        if (options.select_type != "SelMaxi" && options.select_type != "Autosize") return;
         if (typeof Zone_image.src == "undefined") Zone_image.src = " ";
-        status = imgSrc.match(RegExp(Zone_image.src, "gi"));
+        status = imgSrc.match(RegExp(Zone_image.src, "gi")); // status = '' si ==
         status1 = (imgSrc.toString() == Zone_image.src.toString());
 
         if (status1 == true) return;
+        href_path = "javascript:changeImgSrc('" + imgSrc + "', '" + options.select_type + "', '" + options.select_type + "')";
+        jQuery(".linkAutosize").attr("href", href_path);
         theImg = document.getElementById(theMainImage_id.replace("#", ""));
-        href_path = "javascript:changeImgSrc('" + imgSrc + "', '" + last_map + "', '" + "Autosize" + "')";
-        jQuery("#linkAutosize").attr("href", href_path);
+
         if (theImg.tagName != "IMG") {
-          theImg.useMap = "#Autosize";
+          theImg.useMap = "#map" + options.select_type;
           imgSrc_i = jQuery(theImg).css("backgroundImage");
           imgSrc_j = jQuery(theImg).css("background-image");
 
         } else {
-          if (theImg.useMap.match(RegExp("map", "gi"))) return;
-          if (theImg.src.match(RegExp(imgSrc, "gi"))) return;
-          changeImgSrc(imgSrc, last_map, "#Autosize");
+
+          // if (!theImg.useMap.match(RegExp("SelMaxi", "gi"))) return;
+          //  if (!theImg.useMap.match(RegExp("Autosize", "gi"))) return;
+
+          changeImgSrc(imgSrc, options.select_type, options.select_type);
         }
         return true;
@@ -1278,18 +1372,20 @@
 
     };
-
-
     /*************************************************
     * correction pamoorama
     *************************************************/
     Set_Pamoorama = function (Format) {
+      myPamoorama = window.myPamoorama;
       if (Type_Img == "pamoorama") {
-        if (!Format) return;
-
-        myPamoorama = window.myPamoorama;
+
         if (!nopano) {
+          theMainImage_Id = "#pamoorama";
           nopano = false;
           Wait_pamoorama();
-        }
+          infos_theMainImage = jQuery(theMainImage_Id).infos();
+          //theMainImage_Id = "#pamoorama";
+        }
+
+
         if (typeof myPamoorama == "undefined") {
           return;
@@ -1297,14 +1393,21 @@
         //=========================================================  
         if (!nopano) {
+          //theMainImage_Id = "#pamoorama";
           nopano = false;
           Wait_pamoorama();
-        }
-
-        jQuery("#pamoorama").show(1000);
-        jQuery("#loading").hide(1000);
-
-        Wait_pamoorama();
-        window.myPamoorama.stopAnim();
-        infos_theMainImage = jQuery("#pamoorama").infos(true);
+          infos_theMainImage = jQuery(theMainImage_Id).infos();
+          //theMainImage_Id = "#pamoorama";
+        }
+
+
+
+        infos_pamoorama = jQuery("#pamoorama").infos();
+        infos_pamoorama_outter = jQuery("#pamoorama_outter").infos(true);
+        infos_pamoorama_inner = jQuery("#pamoorama_inner").infos();
+
+        infos_pamoorama_frame = jQuery("#pamoorama_frame").infos();
+        infos_frame = jQuery(myPamoorama.frame).infos();
+
+
         //====================================================
         jQuery("#pamoorama").css({
@@ -1313,52 +1416,38 @@
           //  height: Zone_Affichage.height + "px" , sinon déclenchement panorama sur la hauteur;
         });
-        //============================================================
-        infos_pamoorama = jQuery("#pamoorama").infos(true);
-        infos_pamoorama_outter = jQuery("#pamoorama_outter").infos();
-        infos_pamoorama_inner = jQuery("#pamoorama_inner").infos();
-        infos_pamoorama_footer = jQuery("#pamoorama_footer").infos();
-        infos_pamoorama_frame = jQuery("#pamoorama_frame").infos();
-
-        infos_frame = jQuery(myPamoorama.frame).infos();
+
         marges_w = infos_pamoorama.general.marges.width;
         marges_h = infos_pamoorama.general.marges.height;
+
+        jQuery("#pamoorama_footer").css({
+          width: Format.width + "px"
+        });
+        infos_pamoorama_footer = jQuery("#pamoorama_footer").infos();
         marges_h += infos_pamoorama_footer.general.height;
+
         jQuery("#pamoorama").css({
           width: ""
         });
 
-
-        outter_width = Format.width;
-        pos = jQuery("#theImage").offset();
-        pos.top = infos_pamoorama.top;
-        pos.left = infos_pamoorama.left;
-        outter_height = Format.height - marges_h;
-        /*
-        jQuery("#theMainImage").width(outter_width);
-        jQuery("#theMainImage").height(outter_height);
-        jQuery("#theMainImage").css({ left: pos.left, top: pos.top, margin: "auto", border: "solid 1px red"
-
+        outter_height = Format.height;
+
+        Zoom_pano = (Format.height - marges_h) / Zone_image.image_init.height;
+        new_image = { height: Math.ceil(Zone_image.image_init.height * Zoom_pano),
+          width: Math.ceil(Zone_image.image_init.width * Zoom_pano)
+        }
+
+        jQuery("#pamoorama_inner").css({
+          width: new_image.width + "px", height: new_image.height + "px", "background-size": "100%"
         });
 
-        */
-
-        Zoom_pano = outter_height / Format.height;
-        new_image = { height: Math.ceil(Format.height * Zoom_pano),
-          width: Math.ceil(Format * Zoom_pano)
-        }
-
-        jQuery("#pamoorama_inner").css({ width: new_image.width, height: new_image.height, "background-size": "100%"
-        });
-
-        //  jQuery("#pamoorama_inner").width(Zone_image.width_init * Zoom_pano);
-        //  jQuery("#pamoorama_inner").height(Zone_image.height_init * Zoom_pano);
 
 
         //---------- test largeur image 
         new_width = Format.width;
+
         if (new_width > new_image.width) {
           new_width = new_image.width;
           jQuery("#pamoorama_outter").css({
-            position: 'absolute',
+
             align: "center",
             margin: "auto"
@@ -1367,25 +1456,14 @@
         outter_width = new_width;
 
-
-        //  jQuery("#pamoorama_thumb").width(200 /  Zone_image.zoom);
-
         jQuery("#pamoorama_outter").css({
-
           align: 'center',
           margin: 'auto',
           width: outter_width + "px",
-          height: outter_height + "px"
+          height: Format.height - marges_h + "px"
         });
         //============= Mise à l'echelle ==================
-        jQuery("#pamoorama_footer").css({
-          width: Format.width + "px"
-        });
-
         window.myPamoorama.options.width = Math.ceil(Format.width);
         //==================================================================
         new_max_left = new_image.width - outter_width;
-        //   jQuery(window.myPamoorama.inner).width(Zone_image.width_init* Zoom_pano);
-        //    jQuery(window.myPamoorama.inner).height(Zone_image.height_init * Zoom_pano);
-
         if (!window.myPamoorama.outter) return;
         window.myPamoorama.outter.scrollTo(new_max_left, 0);
@@ -1398,4 +1476,8 @@
         jQuery("#pamoorama_thumb img").width(200);
         jQuery("#pamoorama_thumb img").height(nf);
+        jQuery("#pamoorama_thumb").css({
+          position: "absolute",
+          left: (Format.width - 215) + "px"
+        });
         // 200=window.myPamoorama.width 
         // frame = Zone_image.container.width
@@ -1404,17 +1486,14 @@
         jQuery("#pamoorama_frame").width(nw);
         jQuery("#pamoorama").css({
-          width: outter_width, height: "auto"
+          width: outter_width + "px", height: Format.height + "px"
         });
-        //        jQuery("#theImage").trigger("Start_right");
-        jQuery("#theImage").height(Zone_image.container.height + 1);
-
-        jQuery("#theImage").css({
-          height: Zone_image.container.height
-        });
-
-
-        return true
-      } // test img
+
+        //   jQuery("#theImage").css({ margin: "auto" });
+        //   jQuery("#theImage").width(Format.width);
+
+        jQuery("#loading").css("display", "none");
+      } //  
     } // Set_Pamoorama
+
     /*********************************************************/
 
@@ -1502,15 +1581,22 @@
       + Math.ceil(infos_theMainImage.general.marges.height);
       retrait_img.height += 2;
+     
       //===============================================================
       retrait_img.width = Math.ceil(infos_theMainImage.general.marges.width); // borderwidth+padding
       retrait_img.width += Math.ceil(options.marges_llgbo || 0);
       retrait_img.width += 2;
+    
 
       //================== Limite Format Image =====================
       container.height_interne = container.height - marge_top - marge_bottom;
       container.width_interne = container.width - marge_left - marge_right;
+
+      container.height_interne = Math.max(container.height_interne, Math.ceil(options.mini_height) + retrait_img.height),
+      container.width_interne = Math.max(container.width_interne, Math.ceil(options.mini_width) + retrait_img.width)
+
+
       image_max = {
-        height: container.height_interne - retrait_img.height,
-        width: container.width_interne - retrait_img.width
+        height: (container.height_interne - retrait_img.height),
+        width: (container.width_interne - retrait_img.width)
       }
       //=========================
@@ -1521,8 +1607,12 @@
 
       if (Type_Img == "pamoorama") {
-
+        if (height_theMainImage > container.height_interne) {
+
+        }
       } else {
 
         height_theMainImage = Math.ceil(width_theMainImage / Zone_image.image_init.rapport);
+
+
 
         if (height_theMainImage > container.height_interne) {
@@ -1544,9 +1634,13 @@
         }
 
+
+
+
       }
       //================================================================
       Zone_image.image = {
         width: width_theMainImage,
-        height: height_theMainImage
+        height: height_theMainImage,
+        rapport: width_theMainImage / height_theMainImage
       };
 
@@ -1569,20 +1663,9 @@
         Zone_image.src = infos_theMainImage.src;
       }
-
-
-      if (typeof Zone_image.image_init.rapport == "undefined") return;
-      if (force && force == true) old_window.width = 0;
-
-
-      if (infos_theMainImage.useMap.match(RegExp("Autosize", "gi")))
-        infos_theMainImage.useMap = "#Autosize";
-
-      useMap = options.useMap;
-
-
-      if (typeof useMap == "") useMap = "Autosize";
-      if (options.useMap) {
-        //  useMap = options.useMap;
-      }
+      if (typeof Zone_image.image_init.rapport == "undefined") {
+        Zone_image.image_init.rapport = Zone_image.image_init.width / Zone_image.image_init.height;
+      }
+      useMap = options.select_type;
+
       if (useMap) {
         if (!useMap.match(RegExp("Autosize", "gi"))) {
@@ -1601,10 +1684,4 @@
       var chk = eval("options." + user_status + "_enabled");
       if (chk == "") { return; }
-
-      if (!options.useMap.match(RegExp("Autosize", "gi"))) {
-
-        return;
-      }
-
       Calcul_Image();
       jQuery("#loading").hide();
@@ -1681,7 +1758,7 @@
 
         case "pamoorama":
-
+          Wait_pamoorama();
           /*
-        
+          
           infos_the_page = jQuery("#the_page").infos();
           */
@@ -1692,9 +1769,4 @@
 
 
-      //================= Vérification Taille image minimun autorisée ========
-      if ((Zone_image.image.height < options.mini_height) || (Zone_image.image.width < options.mini_width)) {
-        Zone_image.image.width = Math.ceil(Zone_image.width_init);
-        Zone_image.image.height = Math.ceil(Zone_image.image.width / Zone_image.image_init.rapport);
-      }
 
       //=================================================
@@ -1712,12 +1784,9 @@
       if (Type_Img != "pamoorama") {
         echelle_max = parseFloat(options.echelle_max, '3');
-        if (Zone_image.zoom > 1) {
-          Select_Image(); //+calcul
-        }
         if (Zone_image.zoom > echelle_max) {
           Zone_image.zoom = echelle_max;
-          Zone_image.image.width = parseInt(Zone_image.width_init * Zone_image.zoom);
+          Zone_image.image.width = parseInt(Zone_image.image_init.width * Zone_image.zoom);
           if (Zone_image.image_init.rapport > 0)
-            Zone_image.image.height = parseInt(Zone_image.width_init / Zone_image.image_init.rapport);
+            Zone_image.image.height = parseInt(Zone_image.image_init.width / Zone_image.image_init.rapport);
         }
       }
@@ -1779,30 +1848,83 @@
       options.marge_top += infos_theImage.general.marges.top + infos_content.general.marges.top + Math.ceil(options.marge_haute);
       options.marge_bottom = Math.ceil(options.marge_basse); // +infos_content.general.marges.bottom; ;
-
+      if (cookies.pictureDeriv == null)
+        options.first = true;
+      else
+        options.first = false;
       //=================== Gestion liste photos size ============================
       us = 0;
-      type_size = cookies.typeSave; // xxx
-      useMap = cookies.pictureMap; // #mapxxx
-
+      if (options.first) {
+        IMg = Get_Maxi(Zone_image.image);
+        options.src_deriv = IMg.pictureDeriv;
+        imgSrc = IMg.url;
+        width = IMg.width;
+        height = IMg.height;
+      }
       user_status = options.user_status;
-      type_size_maxi = eval("options." + user_status + "_type"); //limite taille
-      type_size = type_size || type_size_maxi;
+      pictureDeriv_maxi = eval("options." + user_status + "_type"); //limite taille
+      options.pictureDeriv_maxi = pictureDeriv_maxi;
+      pictureDeriv_maxi = options.select_type;
+
+      //==========================================================
+      href_path = "javascript:changeImgSrc('" + options.src_img + "', '" + "SelMaxi" + "', '" + "SelMaxi" + "')";
+      spans = jQuery("#derivativeCheckedSelMaxi").next();
+      spans.attr("href", href_path);
+      spans.attr("name", "SelMaxi");
+      spans = spans.find("span");
+      spans.attr("name", "SelMaxi");
+      spans.text("(" + cookies.theMainImageWidth + " x " + cookies.theMainImageHeight + ")");
+      //==========================================================
+      href_path = "javascript:changeImgSrc('" + options.src_img + "', '" + "Autosize" + "', '" + "Autosize" + "')";
+
+      spans = jQuery("#derivativeCheckedAutosize").next();
+      spans.attr("href", href_path);
+      spans.attr("name", "Autosize");
+      spans = spans.find("span");
+      spans.attr("name", "Autosize");
+      spans.text("(" + cookies.theMainImageWidth + " x " + cookies.theMainImageHeight + ")");
+      //==========================================================
+
+      Zone_image.image.width = cookies.theMainImageWidth;
+      Zone_image.image.height = cookies.theMainImageHeight;
+
+      if (options.select_type == "Autosize" || options.select_type == "SelMaxi") {
+        spans = jQuery("#derivativeChecked" + options.select_type).next();
+        spans.addClass("linkAutosize");
+        spans.find("span").addClass("auto_details");
+      }
+      pictureDeriv = pictureDeriv || pictureDeriv_maxi;
+
+      IMg = Get_Maxi(Zone_image.image);
+      imgSrc = IMg.url;
+
+      width = IMg.width;
+      height = IMg.height;
+
       n = 0;
-
       var pt = new Array();
-      jQuery("#derivativeSwitchBox .switchCheck").css('visibility', 'hidden');
+
+
+      //uyu = jQuery(uyu + " span");
+      //
+
+      // auto_details
+      //==== limite affichage selection = select_type ====
       jQuery("#derivativeSwitchBox a").css('visibility', 'hidden');
-
       jQuery("#derivativeSwitchBox a").each(function (i) {
         href_path = jQuery(this).attr("href");
         pt[i] = href_path.split("'");
         tsz = pt[i][5];
+
         jQuery(this).css('visibility', 'visible');
         //--- recherche limite ---
-        if (tsz.match(RegExp(type_size_maxi, "gi"))) {
-          return false;
+        if (tsz.match(RegExp(pictureDeriv_maxi, "gi"))) {
+          if (tsz.match(RegExp(options.select_type, "gi"))) {
+            us = n;
+          } else {
+            return false;
+          }
         }
         //--- type en cours ---
-        if (tsz.match(RegExp("^" + type_size, "gi"))) {
+        if (tsz.match(RegExp("^" + pictureDeriv, "gi"))) {
           us = n;
         }
@@ -1810,80 +1932,27 @@
         n++;
       });
-
-      jQuery("derivativeChecked" + options.type_size).css('visibility', 'visible');
+      jQuery(".switchCheck").css('visibility', 'hidden');
+      jQuery("derivativeChecked" + pictureDeriv_maxi).css('visibility', 'visible');
+      /*  */
       //==== en cours ============
-      n = pt.length - 1;
-      if (n >= 0) {
-        imgSrc = pt[n][1];
-        last_map = pt[n][5];  // dernière position
-        //=======================================
-        imgSrc = pt[us][1];
-        last_map = pt[us][5]; // taille selectionné.
-        href_path = "javascript:changeImgSrc('" + imgSrc + "', '" + last_map + "', '" + "Autosize" + "')";
-        new_html = '<br /><span class="switchCheck" id="derivativeCheckedAutosize" style="visibility:visible" >&#x2714; </span>';
-        new_html += '<a id="linkAutosize" href="' + href_path + '">';
-        new_html += 'Autosize<span class="derivativeSizeDetails" id="auto_details" > - Autosize</span>  </a>';
-        if (!type_size.match(RegExp("Autosize", "gi"))) {
-          jQuery("#derivativeSwitchBox br:last").before(new_html);
-        }
-
-        useMap = "#" + type_size_maxi; // #mapxxx
-        if (useMap == "#Autosize" && type_size_maxi == "Autosize") {
-
-        } else {
-          useMap = last_map;
-        }
-
-        typeSave = cookies.typeSave; //picturederiv xxx
-        options.type_size = useMap.replace("#", "");
-
-        type_size = options.type_size;
-        cookies.pictureMap = "#" + type_size_maxi; // #mapxxx
-        cookies.typeSave = type_size_maxi; //picturederiv xxx
-        cookies.imgSrc = imgSrc;
-        changeImgSrc(imgSrc, last_map, type_size);
-      } else {
-        type_size_maxi = cookies.pictureMap; // #mapxxx
-        type_size_maxi = cookies.typeSave; //picturederiv xxx
-        imgSrc = cookies.imgSrc;
-        last_map = type_size_maxi;
-        href_path = "";
-      }
+      cookies.pictureMap = pictureDeriv_maxi; // #mapxxx
+      cookies.pictureDeriv = pictureDeriv_maxi; //picturederiv xxx
+      cookies.imgSrc = imgSrc;
+
+      changeImgSrc(imgSrc, cookies.pictureDeriv, cookies.pictureMap);
+      imgSrc = cookies.imgSrc;
+      pictureDeriv = pictureDeriv_maxi;
+      href_path = "";
+
     };
     //_______________________ init_gen _______________________
 
-    //============= Gestion Maps ================
-    nom_map = "Autosize";
-    a_up = jQuery("map[name='" + nom_map + "'] area[rel=up]");
-    a_prev = jQuery("map[name='" + nom_map + "'] area[rel=prev]");
-    a_next = jQuery("map[name='" + nom_map + "'] area[rel=next]");
-    new_html = '<map name="' + nom_map + '" >';
-    nb_zone = jQuery("div .navigationButtons a").length;
-    Largeur_zone = (jQuery("#theMainImage").width() / nb_zone);
-    Hauteur_zone = jQuery("#theMainImage").height();
-    init_zone = 0;
-    j = 0;
-    jQuery("div .navigationButtons a").each(function (e) {
-      Hauteur_zone = jQuery("#theMainImage").height();
-      title = jQuery(this).attr("title");
-      h_ref = jQuery(this).attr("href");
-      init_zone = Largeur_zone * j;
-      if (title.match(":")) {
-        if (j == 0)
-          rel = "prev";
-        else
-          rel = "next";
-      } else {
-        rel = "up";
-        Hauteur_zone = Hauteur_zone / 4;
-      }
-      coord = init_zone + "," + 0 + "," + Math.ceil(init_zone + Largeur_zone) + "," + Hauteur_zone;
-      new_html += '<area rel="' + rel + '" title="' + title + '" href="' + h_ref + '" shape="rect" coords="' + coord + '" alt="' + title + '" />';
-
-      j++;
-    });
-    new_html += '</map>';
-    jQuery("#theImage map:last").after(new_html);
-    
-  });                                                                                                                          // ready
-
+    if (typeof changeImgSrc != "function") {
+
+    }
+  });                                                                                                                                                                                                                                       // ready
+
+
+  jQuery("#derivativeSwitchBox a").click(function (e) {
+    k1 = 0;
+  });
Index: /extensions/Autosize/js/autosize.cookie.js
===================================================================
--- /extensions/Autosize/js/autosize.cookie.js	(revision 17502)
+++ /extensions/Autosize/js/autosize.cookie.js	(revision 17503)
@@ -1,57 +1,2 @@
-/**
- * Cookie plugin
- *
- * Copyright (c) 2006 Klaus Hartl (stilbuero.de)
- * Dual licensed under the MIT and GPL licenses:
- * http://www.opensource.org/licenses/mit-license.php
- * http://www.gnu.org/licenses/gpl.html
- *
- */
-
-/**
- * Create a cookie with the given name and value and other optional parameters.
- *
- * @example $.cookie('the_cookie', 'the_value');
- * @desc Set the value of a cookie.
- * @example $.cookie('the_cookie', 'the_value', { expires: 7, path: '/', domain: 'jquery.com', secure: true });
- * @desc Create a cookie with all available options.
- * @example $.cookie('the_cookie', 'the_value');
- * @desc Create a session cookie.
- * @example $.cookie('the_cookie', null);
- * @desc Delete a cookie by passing null as value. Keep in mind that you have to use the same path and domain
- *       used when the cookie was set.
- *
- * @param String name The name of the cookie.
- * @param String value The value of the cookie.
- * @param Object options An object literal containing key/value pairs to provide optional cookie attributes.
- * @option Number|Date expires Either an integer specifying the expiration date from now on in days or a Date object.
- *                             If a negative value is specified (e.g. a date in the past), the cookie will be deleted.
- *                             If set to null or omitted, the cookie will be a session cookie and will not be retained
- *                             when the the browser exits.
- * @option String path The value of the path atribute of the cookie (default: path of page that created the cookie).
- * @option String domain The value of the domain attribute of the cookie (default: domain of page that created the cookie).
- * @option Boolean secure If true, the secure attribute of the cookie will be set and the cookie transmission will
- *                        require a secure protocol (like HTTPS).
- * @type undefined
- *
- * @name $.cookie
- * @cat Plugins/Cookie
- * @author Klaus Hartl/klaus.hartl@stilbuero.de
- */
-
-/**
- * Get the value of a cookie with the given name.
- *
- * @example $.cookie('the_cookie');
- * @desc Get the value of a cookie.
- *
- * @param String name The name of the cookie.
- * @return The value of the cookie.
- * @type String
- *
- * @name $.cookie
- * @cat Plugins/Cookie
- * @author Klaus Hartl/klaus.hartl@stilbuero.de
- */
 jQuery.cookie = function(name, value, options) {
     if (typeof value != 'undefined') { // name and value given, set cookie
Index: /extensions/Autosize/js/autosize.dimensions.js
===================================================================
--- /extensions/Autosize/js/autosize.dimensions.js	(revision 17502)
+++ /extensions/Autosize/js/autosize.dimensions.js	(revision 17503)
@@ -194,10 +194,33 @@
 
           myposition = "";
-          width = jQuery(elem).width();
-          height = jQuery(elem).height();
-          out_width = width;
-          out_height = height;
-          in_width = width; ;
-          in_height = height;
+          var myWidth = 0, myHeight = 0;
+
+          var xHeight = jQuery(document).height();
+          var x2Height = jQuery(window).height();
+
+          if (typeof (window.innerWidth) == 'number') {
+            //Non-IE
+            myWidth = window.innerWidth;
+            myHeight = window.innerHeight;
+          } else if (document.documentElement && (document.documentElement.clientWidth || document.documentElement.clientHeight)) {
+            //IE 6+ in 'standards compliant mode'
+            myWidth = document.documentElement.clientWidth;
+            myHeight = document.documentElement.clientHeight;
+          } else if (document.body && (document.body.clientWidth || document.body.clientHeight)) {
+            //IE 4 compatible
+            myWidth = document.body.clientWidth;
+            myHeight = document.body.clientHeight;
+          }
+
+          if (myHeight != x2Height) {
+            width = myWidth;
+          }
+
+          width = myWidth;
+          height = myHeight;
+          out_width = myWidth;
+          out_height = myHeight;
+          in_width = myWidth; ;
+          in_height = myHeight;
 
         } else {
